clay-0.15.0: CSS preprocessor as embedded Haskell.

Safe Haskell | None
Language | Haskell2010

Clay.Comments

Synopsis

- commenting :: CommentText -> Css -> Css
- addComment :: CommentText -> Rule -> Rule
- pattern PartitionComments :: [Modifier] -> Maybe CommentText -> [Modifier]

# Documentation

commenting :: CommentText -> Css -> Css infixl 3 #

Annotate the supplied `Css` with the supplied comment. Comments work with `OverloadedStrings`. This will annotate every non-nested value.

addComment :: CommentText -> Rule -> Rule #

pattern PartitionComments :: [Modifier] -> Maybe CommentText -> [Modifier] #